<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}
class WPBakeryShortCode_projekty extends WPBakeryShortCode
{

    protected function content($atts, $content = NULL)
    {
        extract(shortcode_atts(array(
            '' => '',
        ), $atts));
        
            $args = array(
                'post_type' => 'projekty',
                'posts_per_page' => -1,
                'orderby' => 'date'
            );

            $projekty = new WP_Query($args);

            ob_start(); ?>

                <!-- HTML DESIGN HERE -->
                
            <div class="projekty-container">
                <h2 class="projekty-container-tytul">PROJEKTY</h2>
                    <?php while ($projekty->have_posts()) :  $projekty->the_post(); ?>
                        <div class="projekt">
                                <h1 class="projekt-tytul">
                                    <a href="<?php echo get_permalink(); ?>">
                                        <?php echo get_the_title() ?>
                                    </a>
                                </h1>
                            <?php echo get_the_post_thumbnail(get_the_ID(), 'thumbnail'); ?>
                        </div>
                    <?php endwhile; ?>
            </div>
                <!-- HTML END DESIGN HERE -->
            <?php
            return ob_get_clean();
    }
}


    vc_map( array(
        "name" 			=> __( 'Projekty', 'projekty' ),
        "base" 			=> "projekty",
        "category" 		=> __('REDO JSComposer Additional'),
        "description" 	=> __('Display projects'),
        "icon" => plugin_dir_url( __FILE__ ).'../images/eye-icon.png'
    ) );

